#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtWebEngineCore>
#include <QtWebEngineWidgets>
#include <QtGui>

class MainWindow : public QWebEngineView
{
  Q_OBJECT

public:
  MainWindow(QWidget *parent = 0);
  ~MainWindow();

private:
  QStringList dataList;
  // счетчик количества показов
  quint64 showCount;
  // счетчик общего затраченного времени
  quint64 timeCount;
  // время начала загрузки
  quint64 loadStartTime;
  // создание центрального контенты
  void createCenter();
  // создание подвала
  void createBottom();
  // обновление информации
  void updateLabelInfo();
public slots:
  // слот завршения загрузки
  void contentLoaded();
  //загрузить новый адрес
  void loadUrl();
};

#endif // MAINWINDOW_H
